/****************************************************************************\
*                                                                            *
*      Program Name:           EasyTutor Learn Office 95                     *
*                                                                            *
*      Copyright:              (c) CRT Multimedia 1996                       *
*                                                                            *
*      Module Name:            APPMSG.H                                      *
*                                                                            *
*      Module Description:     Contains User definined message definitions,  *
*                              application defined display object message    *
*                              and Root display object message definitions.  *
*                                                                            *
*                              Ranges for the display objects defined in the *
*                              application should start > 1000 so as not to  *
*                              conflict with any of the predefined display   *
*                              object messages in the Framework library.     *
*                                                                            *
*      Creation Date:          30/11/95                                      *
*                                                                            *
*      Developers Names:        Duncan Lowe                                  *
*								Russell Hempel								 *
*								Richard Jermyn								 *
*                                                                            *
\****************************************************************************/


/////////////////////////////////////////////////////////////////////////////
// USER DEFINED MESSAGES - range WM_USER + 0 - WM_USER + n                                                  
// Changed from WM_USER + 0 as this was clashing with the message
// CM_BTNCLICK which was causing the animating to start.
#define UDM_MODULE_MENU_ANIMATE_BUTTON  2500



/////////////////////////////////////////////////////////////////////////////
// DISPLAY OBJECT MESSAGES


/////////////////////////////////////////////////////////////////////////////
// Root Display Object - range:                     1000 - 1099                      


// destroys the current screen and creates a new one
#define DO_SCREEN_DESTROY_AND_GOTO                  1000

// hides the current screen and creates a new one
#define DO_SCREEN_HIDE_AND_GOTO                     1001

// destroys all but the current screen
#define DO_SCREEN_DESTROY_NOT_CURRENT               1002

// informs the root object that we're entering the concept half of the app
#define DO_SCREEN_ENTERING_CONCEPT                  1003
           
// informs the root object that we're entering the how-to half of the app
#define DO_SCREEN_ENTERING_HOWTO                    1004

// destroys the current screen and goes to either the first concept page
// or the how-to screen for the given topic, depending on which half of
// the program we're in (goes to concept if we're not in either).
#define DO_SCREEN_GOTO_MODULE                       1005

// informs the root display object which detail is selected
#define DO_SCREEN_CURRENT_TOPIC                     1006

// informs the root display object which detail is selected
#define DO_SCREEN_CURRENT_DETAIL                    1007

// skips from the how-to section to the appropriate part of the concept section
#define DO_SCREEN_SKIP_TO_CONCEPT                   1008

// skips from the concept section to the appropriate part of the how-to section
#define DO_SCREEN_SKIP_TO_HOWTO                     1009

// goes to a concept page within the curent topic
#define DO_SCREEN_GOTO_CONCEPT_PAGE                 1010

// pages to the next concept page within the curent topic
#define DO_SCREEN_NEXT_CONCEPT_PAGE                 1011

// pages to the previous concept page within the curent topic
#define DO_SCREEN_PREVIOUS_CONCEPT_PAGE             1012

// informs the root display object that the current detail has been viewed
#define DO_SCREEN_DETAIL_VIEWED                     1013

// sends a message to the current screen
#define DO_SCREEN_SEND_TO_CURRENT                   1014

// opens a popup screen over the current screen
#define DO_SCREEN_OPEN_POPUP                        1015

// closes any popup screen over the current screen
#define DO_SCREEN_CLOSE_POPUP                       1016

//  for the what next button - find an untried detail
//  which is in the profile and then SKIP to it
#define DO_SCREEN_WHAT_NEXT                         1017

// causes the glossary help screen to be loaded or brought to the front.
#define DO_SCREEN_LOAD_GLOSSARY                     1018             

// sent when a preloaded popup needs to be displayed
#define DO_SCREEN_SHOW_POPUP                 		1019

// sent when a preloaded popup needs to be hidden
#define DO_SCREEN_HIDE_POPUP						1020

// causes a preloaded popup to show itself
#define DO_SHOWING_POPUP                            1021

// causes a preloaded popup to hide itself
#define DO_HIDING_POPUP                             1022

// POT FRAMEWORK MESSAGES
#define DO_SCREEN_START_SCREEN_SEQUENCE             1023
#define DO_SCREEN_STOP_SCREEN_SEQUENCE              1024
#define DO_SCREEN_PAUSE_SCREEN_SEQUENCE             1025
#define DO_SCREEN_RESUME_SCREEN_SEQUENCE            1026
#define DO_SCREEN_PAUSE_SCREEN_CLOCK                1027
#define DO_SCREEN_RESUME_SCREEN_CLOCK               1028
#define DO_SCREEN_GOTO_SEQUENCE                     1029
#define DO_SCREEN_CALL_SEQUENCE                     1030
#define DO_SCREEN_PAUSE_SEQUENCE                    1031
#define DO_SCREEN_RESUME_SEQUENCE                   1032
#define DO_SCREEN_STOP_SEQUENCE                     1033
#define DO_SCREEN_RETURN_FROM_SEQUENCE              1034
#define DO_SCREEN_GOTO_TICK                         1035
#define DO_SCREEN_CALL_TICK                         1036


/////////////////////////////////////////////////////////////////////////////
// opening screen messages - range:                 1100 - 1199                                                

#define DOW_OPENING_LBUTTONDOWN                     1100
 
/////////////////////////////////////////////////////////////////////////////
// main menu messages - range:                      1200 - 1299                                                

#define	DO_MAIN_MENU_EXIT							1200
#define DO_MAIN_MENU_BLURRY_GRAPHIC					1201
#define DO_WHAT_NEXT_BLURRY_GRAPHIC					1202
#define DO_TEST_YOURSELF_BLURRY_GRAPHIC				1203
#define DO_MAIN_EXIT_BLURRY_GRAPHIC					1204

/////////////////////////////////////////////////////////////////////////////
// profile popup messages - range:                  1300 - 1399                                                

#define DO_PROFILE_RESET                            1300
#define DO_PROFILE_CHANGE                           1301

/////////////////////////////////////////////////////////////////////////////
// question messages - range:                       1400 - 1499                                                

#define DO_QUESTION_CHOOSE                          1400
#define DO_QUESTION_ANSWER_CHOSEN                   1401 
#define DOW_QUESTION_TIME_UP                        1402


/////////////////////////////////////////////////////////////////////////////
// module menu messages - range:                    1500 - 1502                                                

#define DO_MODULE_MENU_SECTION_SELECTED             1500
#define DO_MODULE_MENU_BLURRY_GRAPHIC				1501
#define DO_MODULE_MENU_MODULE_SELECTED              1502
#define DO_MODULE_MENU_ROLLOVER						1503

 
/////////////////////////////////////////////////////////////////////////////
// video window that passes mouse clicks back to parent
// messages - range:                                1600 - 1699                                                

#define DOW_LMOUSEBUTTONDOWN                        1600
#define DO_MOUSECLICKEDOVERVIDEO                    1601           // passed back to parent
 
/////////////////////////////////////////////////////////////////////////////
// video control messages - range:                  1700 - 1799                                                

#define DO_VIDEO_CONTROLS_RESET                     1700
#define DO_VIDEO_CONTROLS_PLAY                      1701 
 

/////////////////////////////////////////////////////////////////////////////
// how to screen messages - range:                  1800 - 1899                                                

#define DO_NEW_DETAIL                               1800
#define DO_RUN_DEMO                                 1801
#define DO_RUN_TRYIT                                1802
#define	DO_TUTORIAL_POINT  			    			1803
#define	DO_TUTORIAL_SELECT			    			1804
#define	DO_TUTORIAL_UNPOINT			    			1805
#define	DO_TUTORIAL_REDRAW			    			1806
#define DO_PRINT_DETAIL                             1807

/////////////////////////////////////////////////////////////////////////////
// demo/try it messages - range:                    1900 - 1999                                                

//  sequencing of events
#define DOW_EVENT_DONE                              1900
#define DOW_MOUSE_TIMER_CLICK                       1901
#define DOW_PAUSE_TIMER_CLICK                       1902
#define WM_EVENT_DONE                               1903
#define DO_EVENT_DONE                               1904
#define DO_HOTSPOT_RBUTTON_DOWN                     1905
#define DO_HOTSPOT_RBUTTON_UP                       1906
#define DO_HOTSPOT_LBUTTON_DBLCLK                   1907
#define DO_DEMO_MOUSE_MOVE                          1908
#define DO_DEMO_CHAR                                1909 
#define DO_DEMO_PAINT                               1910
#define DOW_ARROW_TIMER_CLICK                       1911
#define DO_DEMO_COMPLETE                            1912
#define DOW_DOUBLE_TIMER_CLICK                      1913   
#define DOW_LCLICK_TIMER_CLICK                      1914 
#define DOW_RCLICK_TIMER_CLICK                      1915 
#define DOW_CHAR_TIMER_CLICK                        1916  
#define DOW_KEY_TIMER_CLICK                         1917 
#define DO_RTF_MESSAGE				                1918 
 

/////////////////////////////////////////////////////////////////////////////
// Search HowTo Topic messages - range:             2000 - 2099

#define DO_SEARCH_GOTO								2000
#define IDD_EDIT_CONTROL							2001
#define IDD_LIST_CONTROL							2002


/////////////////////////////////////////////////////////////////////////////
// timed audio prompt messages - range:             2100 - 2199

#define DO_TIMEDAUDIOPROMPT_START   				2100
#define DO_TIMEDAUDIOPROMPT_STOP   					2101
#define DO_TIMEDAUDIOPROMPT_TIME_UP					2102
#define DO_SCREEN_EVENT_OCCURED						2103

/////////////////////////////////////////////////////////////////////////////
//   CRTV machine messages - range:                		2200 - 1299                                                

#define DO_CRTV_MACH_PLAY_CHANNEL                  2200
#define DO_CRTV_MACH_CHANNEL_PLUS                  2201      
#define DO_CRTV_MACH_CHANNEL_MINUS                 2202
#define DO_CRTV_MACH_STOP                          2203
#define DO_CRTV_MACH_PLAY_INTRO_VIDEO              2204
#define DO_CRTV_MACH_FIRST_INTRO_PLAY              2205

/////////////////////////////////////////////////////////////////////////////
//   Concept screen messages - range:               2300 - 2399                                                

#define DO_CONCEPT_START							2300
#define DO_CONCEPT_RESET							2301
#define DO_CONCEPT_RESTART							2302

// Resource IDs For License Screen
#define IDD_ACCEPT									2400
#define IDD_DECLINE									2401
#define IDD_LICENSE_EDIT							2402